# Classes

* DAAPr

 * Router
 
 * Modules
  * DAAPClient
  * AudioPlayer
  * PlaylistManager
  * Client

 * Models
  * Client
  * DMAP
  * Playlist
 
 * Collections
  * Client
  * DMAP
  * Playlist
 
 * Views
  * App
  * Player
  * SideBar
  * Footer
  * ListView
  * ClientView
   * BrowserView
   * ^ListView
 

# Instances

* App (DAPPr)

 * Router
 
 * Views
  * ClientViews
   * ClientView
    * Client

  * Clients.Collections_Client
   * Client.Model_Client
    * Sysinfo.Collections_DMAP
      * Sysinfo.Model_DMAP
    * ContentCodes.Collections_DMAP
      * ContentCode.Model_DMAP
    * Genres.Collections_DMAP
      * Genre.Model_DMAP
    * Artists.Collections_DMAP
      * Artist.Model_DMAP
    * Albums.Collections_DMAP
      * Album.Model_DMAP
    * Items.Collections_DMAP
      * Item.Model_DMAP
    * Playlists.Collections_DMAP
     * Playlist.Collections_DMAP
 * Playlists.Collections_Playlist
  * LocalStorage.Model_Playlist
  * Remote.Modal_Playlist


* Client
 * Properties
  * database
  * databases
  * playlist
  * playlists
  * serverInfo
  * contentCodes
  * sessionId
  * credentials
   * login
   * password
 * Methods
  * init
  * getContentCodes
  * getServerInfo
  * doLogin
  * getSessionId
  * getDatabaseInfo
  * getPlaylistInfo
  * getDatabase(id)
   * search
  * getPlaylist(id)
   * search
  * getGenres
  * getArtists
   * search(genre)
  * getAlbums
   * search(genre, artist)
  * doLogout
 * Events
  * inited
  * loaded